# Method: projects.locations.lbRouteExtensions.delete

- [HTTP request](https://docs.cloud.google.com/service-extensions/docs/reference/rest/v1beta1/projects.locations.lbRouteExtensions/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/service-extensions/docs/reference/rest/v1beta1/projects.locations.lbRouteExtensions/delete#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/service-extensions/docs/reference/rest/v1beta1/projects.locations.lbRouteExtensions/delete#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/service-extensions/docs/reference/rest/v1beta1/projects.locations.lbRouteExtensions/delete#body.request_body)
- [Response body](https://docs.cloud.google.com/service-extensions/docs/reference/rest/v1beta1/projects.locations.lbRouteExtensions/delete#body.response_body)
- [IAM Permissions](https://docs.cloud.google.com/service-extensions/docs/reference/rest/v1beta1/projects.locations.lbRouteExtensions/delete#body.aspect)

Deletes the specified `LbRouteExtension` resource.

### HTTP request

`DELETE https://networkservices.googleapis.com/v1beta1/{name=projects/*/locations/*/lbRouteExtensions/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the `LbRouteExtension` resource to delete. Must be in the format `projects/{project}/locations/{location}/lbRouteExtensions/{lbRouteExtension}`. |

### Query parameters

| Parameters ||
|---|---|
| `requestId` | `string` Optional. An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server can ignore the request if it has already been completed. The server guarantees that for 60 minutes after the first request. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server ignores the second request This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000). |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/service-extensions/docs/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `networkservices.lbRouteExtensions.delete`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).